VG_CIRCLE(3)

NAME
VG_Circle - agar-vg circle entity

SYNOPSIS

    #include <agar/core.h>
    #include <agar/gui.h>
    #include <agar/vg.h>

DESCRIPTION
VG_Circle is a VG(3) node class which describes a circle in terms of a centerpoint and a radius value.

INTERFACE
VG_Circle * VG_CircleNew(VG_Node *parent, VG_Point *centerPoint, float r)

void VG_CircleCenter(VG_Circle *vc, VG_Point *centerPoint)

void VG_CircleRadius(VG_Arc *vc, float r)

The VG_CircleNew() function creates a new circle entity attached to parent. centerPoint is a VG_Point(3) defining the center and r is the radius.

The VG_CircleCenter() routine changes the centerpoint of an existing VG_Circle. VG_CircleRadius() changes the radius.

SEE ALSO
VG(3), VG_Arc(3), VG_Point(3)

HISTORY
The VG_Circle class first appeared in Agar 1.3.3.